Get sender status
curl --request GET \
--url https://api.pineyard.ai/whatsapp/senders/{id}/status \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/whatsapp/senders/{id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/whatsapp/senders/{id}/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"mode": "SHARED",
"status": "CONNECTING",
"numberSource": "PLATFORM_SHARED",
"isDefault": true,
"phoneDisplay": "<string>",
"hasCredentials": true,
"connectedAt": "<string>",
"verifiedName": "<string>",
"qualityRating": "<string>"
}Senders
Get sender status
Current connection status of one WhatsApp sender.
GET
/
whatsapp
/
senders
/
{id}
/
status
Get sender status
curl --request GET \
--url https://api.pineyard.ai/whatsapp/senders/{id}/status \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/whatsapp/senders/{id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/whatsapp/senders/{id}/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"mode": "SHARED",
"status": "CONNECTING",
"numberSource": "PLATFORM_SHARED",
"isDefault": true,
"phoneDisplay": "<string>",
"hasCredentials": true,
"connectedAt": "<string>",
"verifiedName": "<string>",
"qualityRating": "<string>"
}Required scope:
whatsapp.viewAuthorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Path Parameters
Sender ID
Response
Sender status.
Available options:
SHARED, BYON, API Available options:
CONNECTING, CONNECTED, DISCONNECTED, REVOKED Available options:
PLATFORM_SHARED, CLIENT_OWNED, PINEYARD_POOL 
